
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was PackageConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

#cudss-config.cmake
#
# Package COMPONENT's defined:
#
# Imported interface targets provided:
#  * cudss - shared library target
#  * cudss_static - static library targets
#
# Output variables set:
#  * cudss_VERSION - Version of installed package
#  * cudss_LOCATION - Location this library was found at in local system

set(cudss_VERSION 0.1.0)
# build: 

## Targets
include("${CMAKE_CURRENT_LIST_DIR}/cudss-targets.cmake")

#Allow Alias to targets
set_target_properties(cudss PROPERTIES IMPORTED_GLOBAL 1)
if(TARGET cudss_static)
    set_target_properties(cudss_static PROPERTIES IMPORTED_GLOBAL 1)
endif()

# Add namespaced target aliases if not already created
if(NOT TARGET cudss)
    add_library(cudss ALIAS cudss)
    if(TARGET cudss_static)
        add_library(cudss_static ALIAS cudss_static)
    endif()
endif()

if(NOT cudss_LOCATION)
    get_target_property(cudss_LOCATION cudss LOCATION)
    get_filename_component(cudss_LOCATION ${cudss_LOCATION} DIRECTORY)
    get_filename_component(cudss_LOCATION ${cudss_LOCATION}/.. REALPATH)
endif()

## PackageConfig COMPONENTS
# Find installed components
set(_components)
set(cudss_cudss_FOUND 1)
list(APPEND _components cudss)
#set(cudss_cudss_static_FOUND 1)
#list(APPEND _components cudss_static)

# Cleanup temporary variables and check if components satisfied
check_required_components(cudss)

## Report status
message(STATUS
"Found cudss: (Location:${cudss_LOCATION}
                   Version:${cudss_VERSION}
                   ComponentsFound:[${_components}])")
unset(_components)
